var $contResult = 0;
$('.emp-pesq').on("click", function(){
    //console.log($('#emp').val());
    $('.result').empty();
    
    $UUID = $('#emp').val()
    $intervalo = $('input[name="daterange"]').val()
    
    $.ajax({
        url: base_url + 'atendimento/ajax/atendimento_ajax/linhatempo_empreendimento',
        dataType: 'json',
        type: 'POST',
        data: {
            uuid: $UUID,
            intervalo:$intervalo
        },
    success: function(result)
    {    
        if(result.success == true){
            //console.log(result);
            $('.result').append(result.html);
            
            initbTotais();
            
        }else{
            //console.log(result);
            $('.result').append("<p>Ocorreu um Error!</p>");
        }
    }
    });
    
    
    $.ajax({
        url: base_url + 'atendimento/ajax/atendimento_ajax/linhatempo_capturas',
        dataType: 'json',
        type: 'POST',
        data: {
            uuid: $UUID,
            intervalo:$intervalo
        },
    success: function(result)
    {    
        if(result.success == true){
            
            
            capturas = result.capturas;
            
            $('.totalCapturas').text(capturas.length);
            
            $('#tbCapturas').DataTable().clear().draw();
            
            for(key in capturas){
                
                $row = capturas[key];
                
                $('#tbCapturas').DataTable().row.add([
                        $row.nome,
                        $row.email,
                        $row.datetime_captura,
                        $row.utm_source,
                        $row.utm_medium,
                        $row.utm_campaign
                    ]).draw( false );
            }
            
            
            
        }else{
            
        }
    }});
    
    $.ajax({
        url: base_url + 'atendimento/ajax/atendimento_ajax/linhatempo_google',
        dataType: 'json',
        type: 'POST',
        data: {
            uuid: $UUID,
            intervalo:$intervalo
        },
    success: function(result)
    {    
        if(result.success == true){
            
            
            capturas = result.capturas;
            
            $('.totalGoogle').text(capturas.length);
            
            console.log(capturas.length);
            
            $('#tbGoogle').DataTable().clear().draw();
            
            for(key in capturas){
                
                $row = capturas[key];
                
                $('#tbGoogle').DataTable().row.add([
                        $row.nome,
                        $row.email,
                        $row.datetime_captura,
                        $row.utm_source,
                        $row.utm_medium,
                        $row.utm_campaign
                    ]).draw( false );
            }
            
            
            
        }else{
            
        }
    }});
    
    $.ajax({
        url: base_url + 'atendimento/ajax/atendimento_ajax/linhatempo_facebook',
        dataType: 'json',
        type: 'POST',
        data: {
            uuid: $UUID,
            intervalo:$intervalo
        },
    success: function(result)
    {    
        if(result.success == true){
            
            
            capturas = result.capturas;
            
            $('.totalFacebook').text(capturas.length);
            
            $('#tbFacebook').DataTable().clear().draw();
            
            for(key in capturas){
                
                $row = capturas[key];
                
                $('#tbFacebook').DataTable().row.add([
                        $row.nome,
                        $row.email,
                        $row.datetime_captura,
                        $row.utm_source,
                        $row.utm_medium,
                        $row.utm_campaign,
                    ]).draw( false );
            }
            
            
            
        }else{
            
        }
    }});
    
    
 });
 


$('#tbCapturas').DataTable( {
    dom: '<Bf<t>lip>',
    buttons: [ 'csv', 'excel'],
    /*"pagingType": "first_last_numbers",*/
    "bJQueryUI": true,
    "oLanguage": {
        "sProcessing":   "Processando...",
        "sLengthMenu":   "Mostrar _MENU_ registros",
        "sZeroRecords":  "Não foram encontrados resultados",
        "sInfo":         "Mostrando de _START_ até _END_ de _TOTAL_ registros",
        "sInfoEmpty":    "Mostrando de 0 até 0 de 0 registros",
        "sInfoFiltered": "",
        "sInfoPostFix":  "",
        "sSearch":       "Buscar:",
        "sUrl":          "",
        "oPaginate": {
            "sFirst":    "Primeiro",
            "sPrevious": "Anterior",
            "sNext":     "Seguinte",
            "sLast":     "Último"
        }
    }
} );

function initbTotais(){
$('.tbTotais').DataTable( {
    dom: '<Bf<t>lip>',
    buttons: [ 'csv', 'excel'],
    /*"pagingType": "first_last_numbers",*/
    "bJQueryUI": true,
    "oLanguage": {
        "sProcessing":   "Processando...",
        "sLengthMenu":   "Mostrar _MENU_ registros",
        "sZeroRecords":  "Não foram encontrados resultados",
        "sInfo":         "Mostrando de _START_ até _END_ de _TOTAL_ registros",
        "sInfoEmpty":    "Mostrando de 0 até 0 de 0 registros",
        "sInfoFiltered": "",
        "sInfoPostFix":  "",
        "sSearch":       "Buscar:",
        "sUrl":          "",
        "oPaginate": {
            "sFirst":    "Primeiro",
            "sPrevious": "Anterior",
            "sNext":     "Seguinte",
            "sLast":     "Último"
        }
    }
} );
}
 
 
function cb(start, end) {
    $('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));
}
 
var start = moment().subtract(29, 'days');
var end = moment();
 
$('input[name="daterange"]').daterangepicker({
    locale: {
      format: 'DD/MM/YYYY',
      applyLabel: 'Aplicar',
        cancelLabel: 'Cancelar',
        fromLabel: 'De',
        toLabel: 'Até',
        customRangeLabel: 'Personalizado',
        daysOfWeek: [
            'Dom',
            'Seg',
            'Ter',
            'Qua',
            'Qui',
            'Sex',
            'Sáb'
        ],
        monthNames: [
            'Janeiro',
            'Fevereiro',
            'Março',
            'Abril',
            'Maio',
            'Junho',
            'Julho',
            'Agosto',
            'Setembro',
            'Outubro',
            'Novembro',
            'Dezembro'
        ],
    },
    startDate: start,
    endDate: end,
    ranges: {
       'Hoje': [moment(), moment()],
       'Ontem': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
       'Ultimos 7 Dias': [moment().subtract(6, 'days'), moment()],
       'Ultimos 30 Dias': [moment().subtract(29, 'days'), moment()],
       'Mes Atual': [moment().startOf('month'), moment().endOf('month')],
       'Ultimo Mes': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')],
       'Todos' : ['01/01/0001',moment()]
    }
}/*, cb*/);

/*    cb(start, end);*/

/*$('input[name="daterange"]').on('apply.daterangepicker', function(ev, picker) {
  $(this).val(picker.startDate.format('DD/MM/YYYY') + ' - ' + picker.endDate.format('DD/MM/YYYY'));
});*/
 
/*$('body').on('click','.addAtendimentoIncorporadora', function(){
    var id_captura = $(this).data('id');
    $.ajax({
        url: base_url + 'atendimento/ajax/atendimento_ajax/ini_atendimento',
        dataType: 'json',
        type: 'POST',
        data: {
            id_rel:  $(this).data('id'),
            tb_origem: $(this).data('origem')
        },
    success: function(result)
    {    
        if(result.valid == true){
            console.log(result);
            window.open(base_url+'atendimento/incorporadoras/atendimento/agendamento/'+id_captura,'_blank');
            //window.open(base_url+'atendimento/comdono/atendimento_geral/'+$UUID+'/'+result.id_atendimento,'_blank');
        }else{
            console.log(result);
            alert('Atendimento Não Encontrado');
        }
    }
    });
    
    /*get_ajax($data, 'atendimento/ajax/atendimento_ajax/ini_atendimento', 
        success =>{
            document.location.href = base_url+'atendimento/comdono/atendimento_geral/'+$UUID+'/'+success.id_atendimento;
    });
    
});*/